./misc/ruby-rainbow, Extends ruby String class enabling coloring text on ANSI terminals

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.0.0, Package name: ruby23-rainbow-3.0.0, Maintainer: tsutsui

Rainbow extends ruby String class enabling coloring text on ANSI terminals.


Required to run:
[lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 47698aa675015ea18056631c1e9f28e56652ae2e
RMD160: 71914d07b74e4dabd622d27826e7614d2fa58739
Filesize: 18.5 KB

Version history: (Expand)


CVS history: (Expand)


   2017-12-09 20:31:58 by Izumi Tsutsui | Files touched by this commit (3) | Package updated
Log message:
ruby-rainbow: update to 3.0.0.

Upstream changes (from Changelog.md):

## 3.0.0 (2017-11-29)

* added String refinement
* added new `Rainbow.uncolor` method
* dropped MRI 1.9.3 compatibility
* dropped MRI 2.0 compatibility
* removed Rake dependency
   2017-04-22 18:39:31 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-rainbow to 2.2.2.

# 2.2.0 (2016-12-27)

* improved Windows support
* added Ruby 2.4 support
* added `bold` alias method for `bright`

# 2.2.1 (2016-12-28)

* fixed gem installation (2.2.0 was a broken release)

# 2.2.2 (2017-04-21)

* added explicit rake dependency to fix installation issue
   2016-03-15 15:38:07 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-rainbow to 2.1.0.

## 2.1.0 (2016-01-24)

* added X11 color support
* fixed `require` issue when rainbow is used as a dependency in another gem
* improved Windows support
   2015-11-04 00:49:56 by Alistair G. Crooks | Files touched by this commit (330)
Log message:
Add SHA512 digests for distfiles for misc category

Problems found locating distfiles:
	Package colorls: missing distfile ls.tar.gz
	Package molden: missing distfile molden-4.6/molden4.6.tar.gz
	Package softmaker-office-demo: missing distfile ofl06trial.tgz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-07 18:25:56 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Allow this package build on Ruby 2.2.
   2014-04-17 22:19:35 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
Needs Ruby 1.9.3+
   2014-03-09 16:24:07 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
Update ruby-rainbow to 2.0.0.

Changelog (per Changelog.md)

## 1.99.2 (2014-01-24)

* bring back ruby 1.8 support

## 2.0.0 (2014-01-24)

* disable string mixin by default
   2014-01-17 19:58:19 by Izumi Tsutsui | Files touched by this commit (1)
Log message:
Add RUBY_VERSION_SUPPORTED= line since ruby 1.8 support was dropped.